Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.grid
Class RowParams

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.widgets.grid.RowParams

    public class RowParams

extends JsObject

RowParams class that is passed to the user when specifying a custom row rendering.

See Also:
  `GridView.getRowClass(com.gwtext.client.data.Record, int, RowParams, com.gwtext.client.data.Store)`

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Method Summary
`java.lang.String` | `getBody()` An HTML fragment to be rendered as the cell's body content (defaults to '').
`java.lang.String` | `getBodyStyle()` A CSS style string that will be applied to the row's TR style attribute (defaults to '').
`int` | `getCols()` The column count to apply to the body row's TD colspan attribute (defaults to the current column count of the grid).
`void` | `setBody(java.lang.String body)` Set the row body as HTML.
`void` | `setBodyStyle(java.lang.String bodyStyle)` A CSS style string that will be applied to the row's TR style attribute (defaults to '').
`void` | `setcols(int cols)` The column count to apply to the body row's TD colspan attribute (defaults to the current column count of the grid).

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getBody

    public java.lang.String getBody()

  An HTML fragment to be rendered as the cell's body content (defaults to '').

  Returns:
    the row body

### setBody

    public void setBody(java.lang.String body)

  Set the row body as HTML.

  Parameters:
    `body` - the row body

### getBodyStyle

    public java.lang.String getBodyStyle()

  A CSS style string that will be applied to the row's TR style attribute (defaults to '').

  Returns:
    the row body the body CSS style

### setBodyStyle

    public void setBodyStyle(java.lang.String bodyStyle)

  A CSS style string that will be applied to the row's TR style attribute (defaults to '').

  Parameters:
    `bodyStyle` - the body style

### getCols

    public int getCols()

  The column count to apply to the body row's TD colspan attribute (defaults to the current column count of the grid).

  Returns:
    the number of cols

### setcols

    public void setcols(int cols)

  The column count to apply to the body row's TD colspan attribute (defaults to the current column count of the grid).

  Parameters:
    `cols` - the number of cols

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD